MattPil29

API Build Errors

Discussion created by MattPil29 on May 31, 2013
Hi All,

I am trying to build v3.4 of the API as a part of my project (as v3.5 src is not yet available).  I am almost there but have one remaining set of [128 to be exact] errors that trace back to the esri api.  These look like:

error(354) Root bundle indicates localized bundles that don't exist. Root: esri/dijit/editing/nls/Editor-all_ar; missing bundles: 'dijit/_editor/nls/commands','dijit/form/nls/ComboBox','dojo/cldr/nls/islamic'.
error(354) Root bundle indicates localized bundles that don't exist. Root: esri/dijit/editing/nls/Editor-all_az; missing bundles: 'dijit/_editor/nls/commands','dijit/form/nls/ComboBox','dojo/cldr/nls/islamic'.
error(354) Root bundle indicates localized bundles that don't exist. Root: esri/dijit/editing/nls/Editor-all_ca; missing bundles: 'dijit/_editor/nls/commands','dijit/form/nls/ComboBox','dojo/cldr/nls/islamic'.
...
...

I see from the second comment on this page that I am not alone:
http://blogs.esri.com/esri/arcgis/2013/01/10/arcgis-api-for-javascript-version-3-3-released/

Can anyone suggest a way forward\fix please?

Matthew

Outcomes